# GraphAlgo_TSPGenetisch (1_graphentester)

Package algorithmen

## Class GraphAlgo_TSPGenetisch

- java.lang.Object
- - java.lang.Thread
  - - algorithmen.GraphAlgo
    - - algorithmen.GraphAlgo_TSPGenetisch

All Implemented Interfaces:
  `Runnable`

    public class GraphAlgo_TSPGenetisch
    extends GraphAlgo

description

Version:
  1.0 from 26.04.2019
Author:

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class algorithmen.GraphAlgo

`g, inArbeit`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`GraphAlgo_TSPGenetisch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `erzeugeZufaelligeRundreise()`
`void` `fuehreAlgorithmusAus()`
`String` `getBezeichnung()`
`String` `getInfo()`
`double` `getLaenge​(int[] rundreise)`
`int[]` `kreuze​(int[] rr1, int[] rr2)`
`int[]` `mutiere​(int[] rr)`
`int[]` `mutiere2​(int[] rr)`
`void` `showRundreise​(int[] rundreise)`

### Methods inherited from class algorithmen.GraphAlgo

`getStartKnoten, getWaitforclick, getWaitforrepaint, info, infoIndentLess, infoIndentMore, melde, resetInfo, run, setGraph, setGUIElemente, setSpeed, setStartKnoten, setStepping, setWaitforclick, setWaitforrepaint, step`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, toString, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphAlgo_TSPGenetisch

    public GraphAlgo_TSPGenetisch()

### Method Detail

#### getBezeichnung

    public String getBezeichnung()

Specified by:
  `getBezeichnung` in class `GraphAlgo`

#### fuehreAlgorithmusAus

    public void fuehreAlgorithmusAus()

Specified by:
  `fuehreAlgorithmusAus` in class `GraphAlgo`

#### erzeugeZufaelligeRundreise

    public int[] erzeugeZufaelligeRundreise()

#### kreuze

    public int[] kreuze​(int[] rr1,
                        int[] rr2)

#### mutiere

    public int[] mutiere​(int[] rr)

#### mutiere2

    public int[] mutiere2​(int[] rr)

#### showRundreise

    public void showRundreise​(int[] rundreise)

#### getLaenge

    public double getLaenge​(int[] rundreise)

#### getInfo

    public String getInfo()